% A function used in file gm_perturb.m file.

% Returns a reverse block diagonal matrix M of form
% 0  | M2
% M1 | 0

function M = rev_blkdiag(M1, M2)

[M1r M1c] = size(M1);
[M2r M2c] = size(M2);
M = vertcat(horzcat(zeros(M2r, M1c), M2), horzcat(M1, zeros(M1r, M2c)));